## qt6-datavis3d 6.2.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtDataVisualization
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Data Visualization Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

# Make sure we only use latest private CMake API, aka no compatibility wrappers.
set(QT_NO_INTERNAL_COMPATIBILITY_FUNCTIONS TRUE)

# Make sure we use the fixed BASE argument of qt_add_resource.
set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals)
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS
    Core OpenGL Quick Qml Gui Widgets QuickTest Test)

macro(assertTargets)
    foreach(qtTarget IN ITEMS ${ARGN})
        if(NOT TARGET Qt::${qtTarget})
           message(NOTICE "Skipping the build as the condition \"TARGET Qt::${qtTarget}\" is not met.")
           return()
        endif()
    endforeach()
endmacro()

assertTargets(Gui Widgets OpenGL Quick Qml QuickTest Test)

qt_build_repo()

=== examples/CMakeLists.txt ===
qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(datavisualization)

qt_examples_build_end()

=== examples/datavisualization/CMakeLists.txt ===
if(TARGET Qt::Quick)
    qt_internal_add_example(qmlbars)
    qt_internal_add_example(qmlscatter)
    qt_internal_add_example(qmlsurface)
    qt_internal_add_example(qmlcustominput)
    qt_internal_add_example(qmllegend)
    qt_internal_add_example(qmlmultigraph)
    qt_internal_add_example(qml3doscilloscope)
    qt_internal_add_example(qmlsurfacelayers)
    qt_internal_add_example(qmlaxisformatter)
    qt_internal_add_example(qmlaxisdrag)
    qt_internal_add_example(qmlspectrogram)
endif()
if(NOT ANDROID AND NOT IOS AND NOT WINRT)
    qt_internal_add_example(bars)
    qt_internal_add_example(custominput)
    qt_internal_add_example(customproxy)
    qt_internal_add_example(itemmodel)
    qt_internal_add_example(scatter)
    qt_internal_add_example(surface)
    qt_internal_add_example(rotations)
    qt_internal_add_example(draggableaxes)
    qt_internal_add_example(customitems)
    qt_internal_add_example(texturesurface)
    qt_internal_add_example(volumetric)
endif()

=== src/datavisualizationqml2/CMakeLists.txt ===
set(qml_files
    "designer/Bars3DSpecifics.qml"
    "designer/Scatter3DSpecifics.qml"
    "designer/Surface3DSpecifics.qml"
    "designer/default/Bars3D.qml"
    "designer/default/Scatter3D.qml"
    "designer/default/Surface3D.qml"
)

set(resources
    "designer/qtdatavisualization.metainfo"
    "designer/images/bars3d-icon.png"
    "designer/images/bars3d-icon16.png"
    "designer/images/scatter3d-icon.png"
    "designer/images/scatter3d-icon16.png"
    "designer/images/surface3d-icon.png"
    "designer/images/surface3d-icon16.png"
)

set_source_files_properties(
    ${qml_files}
    PROPERTIES
        QT_QML_SKIP_QMLDIR_ENTRY TRUE
)

qt_internal_add_qml_module(DataVisualizationQml2
    URI "QtDataVisualization"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 1
    CLASS_NAME QtDataVisualizationQml2Plugin
    PLUGIN_TARGET DataVisualizationQml2
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_PLUGIN_SOURCE
    NO_GENERATE_QMLTYPES
    INSTALL_SOURCE_QMLTYPES "plugins.qmltypes"
    SOURCES
        abstractdeclarative.cpp abstractdeclarative_p.h
        colorgradient.cpp colorgradient_p.h
        datavisualizationqml2_plugin.cpp datavisualizationqml2_plugin.h
        declarativebars.cpp declarativebars_p.h
        declarativecolor.cpp declarativecolor_p.h
        declarativerendernode.cpp declarativerendernode_p.h
        declarativescatter.cpp declarativescatter_p.h
        declarativescene.cpp declarativescene_p.h
        declarativeseries.cpp declarativeseries_p.h
        declarativesurface.cpp declarativesurface_p.h
        declarativetheme.cpp declarativetheme_p.h
        enumtostringmap.cpp enumtostringmap_p.h
        glstatestore.cpp glstatestore_p.h
    INCLUDE_DIRECTORIES
        ../../include
        ../../include/QtDataVisualization
        ../datavisualization/axis
        ../datavisualization/data
        ../datavisualization/engine
        ../datavisualization/global
        ../datavisualization/input
        ../datavisualization/theme
    QML_FILES
        ${qml_files}
    RESOURCES
        ${resources}
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::OpenGL
        Qt::Qml
        Qt::Quick
        DataVisualization
)

qt_internal_extend_target(DataVisualizationQml2 CONDITION MACOS
    PUBLIC_LIBRARIES
        Qt::GuiPrivate
)

=== tests/manual/CMakeLists.txt ===
if(TARGET Qt::Quick)
    add_subdirectory(qmldynamicdata)
    add_subdirectory(qmlmultitest)
    add_subdirectory(qmlvolume)
    add_subdirectory(qmlperf)
    add_subdirectory(qmlgradient)
endif()
if(NOT ANDROID AND NOT IOS AND NOT WINRT)
    add_subdirectory(barstest)
    add_subdirectory(scattertest)
    add_subdirectory(surfacetest)
    add_subdirectory(multigraphs)
    add_subdirectory(directional)
    add_subdirectory(itemmodeltest)
    add_subdirectory(volumetrictest)
    add_subdirectory(minimalbars)
    add_subdirectory(minimalscatter)
    add_subdirectory(minimalsurface)
endif()

=== examples/datavisualization/bars/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(bars LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Quick)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Widgets)
find_package(Qt6 COMPONENTS DataVisualization)

qt_add_executable(bars
    graphmodifier.cpp graphmodifier.h
    main.cpp
)
set_target_properties(bars PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(bars PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Widgets
    Qt::DataVisualization
)

install(TARGETS bars
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/datavisualization/qmlscatter/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(qmlscatter LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Qml)
find_package(Qt6 COMPONENTS Quick)
find_package(Qt6 COMPONENTS DataVisualization)

qt_add_executable(qmlscatter
    main.cpp
)
set_target_properties(qmlscatter PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(qmlscatter PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::DataVisualization
)

set(qmlscatter_resource_files
    "qml/qmlscatter/Data.qml"
    "qml/qmlscatter/main.qml"
)

qt6_add_resources(qmlscatter "qmlscatter"
    PREFIX
        "/"
    FILES
        ${qmlscatter_resource_files}
)

install(TARGETS qmlscatter
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/datavisualization/rotations/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(rotations LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Widgets)
find_package(Qt6 COMPONENTS DataVisualization)

qt_add_executable(rotations
    main.cpp
    scatterdatamodifier.cpp scatterdatamodifier.h
)
set_target_properties(rotations PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(rotations PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Widgets
    Qt::DataVisualization
)

set(rotations_resource_files
    "mesh/largesphere.obj"
    "mesh/narrowarrow.obj"
)

qt6_add_resources(rotations "rotations"
    PREFIX
        "/"
    FILES
        ${rotations_resource_files}
)

install(TARGETS rotations
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/datavisualization/surface/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(surface LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Widgets)
find_package(Qt6 COMPONENTS DataVisualization)

qt_add_executable(surface
    main.cpp
    surfacegraph.cpp surfacegraph.h
)
set_target_properties(surface PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(surface PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Widgets
    Qt::DataVisualization
)

set_source_files_properties("mountain.png"
    PROPERTIES QT_RESOURCE_ALIAS "mountain"
)
set(surface_resource_files
    "mountain.png"
)

qt6_add_resources(surface "surface"
    PREFIX
        "/maps"
    FILES
        ${surface_resource_files}
)

install(TARGETS surface
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/datavisualization/texturesurface/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(texturesurface LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Widgets)
find_package(Qt6 COMPONENTS DataVisualization)

qt_add_executable(texturesurface
    custominputhandler.cpp custominputhandler.h
    highlightseries.cpp highlightseries.h
    main.cpp
    surfacegraph.cpp surfacegraph.h
    topographicseries.cpp topographicseries.h
)
set_target_properties(texturesurface PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(texturesurface PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Widgets
    Qt::DataVisualization
)

set_source_files_properties("maptexture.jpg"
    PROPERTIES QT_RESOURCE_ALIAS "maptexture"
)
set_source_files_properties("topography.png"
    PROPERTIES QT_RESOURCE_ALIAS "topography"
)
set(texturedsurface_resource_files
    "maptexture.jpg"
    "topography.png"
)

qt6_add_resources(texturesurface "texturedsurface"
    PREFIX
        "/maps"
    FILES
        ${texturedsurface_resource_files}
)

install(TARGETS texturesurface
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/manual/multigraphs/CMakeLists.txt ===
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

qt_internal_add_manual_test(multigraphs
    GUI
    SOURCES
        data.cpp data.h
        main.cpp
    )
target_link_libraries(multigraphs PUBLIC
    Qt::Gui
    Qt::Widgets
    Qt::DataVisualization
    )

set(multigraphs_resource_files
    "australia.png"
    )

qt_internal_add_resource(multigraphs "multigraphs"
    PREFIX
    "/"
    FILES
    ${multigraphs_resource_files}
    )

=== tests/manual/qmlperf/CMakeLists.txt ===
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

qt_internal_add_manual_test(qmlperf
    GUI
    SOURCES
        datagenerator.cpp datagenerator.h
        main.cpp
    )
target_link_libraries(qmlperf PUBLIC
    Qt::Gui
    Qt::DataVisualization
    )

set(qmlperf_resource_files
    "qml/qmlperf/main.qml"
    )

qt_internal_add_resource(qmlperf "qmlperf"
    PREFIX
    "/"
    FILES
    ${qmlperf_resource_files}
    )

=== debian/changelog ===
qt6-datavis3d (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Thu, 31 Mar 2022 00:07:29 +0200

qt6-datavis3d (6.2.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:37:47 +0100

qt6-datavis3d (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #999634)

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Nov 2021 23:01:38 +0100

=== debian/control ===
Source: qt6-datavis3d
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libgl-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick (>= 6.2.4+dfsg~),
               qml6-module-qttest (>= 6.2.4+dfsg~),
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
               qt6-declarative-dev (>= 6.2.4+dfsg~),
               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-datavis3d
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-datavis3d.git
Rules-Requires-Root: no

Package: libqt6datavisualization6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Data Visualization library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of APIs to visualize data in 3D as bar, scatter,
 and surface graphs.

Package: qml6-module-qtdatavisualization
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Data Visualization QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Data Visualization QML module for QtDeclarative.

Package: libqt6datavisualization6-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6datavisualization6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Data Visualization - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using the Qt Data Visualization library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-datavis3d 6.3.1

=== debian/changelog ===
qt6-datavis3d (6.3.1-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Sep 2022 16:05:07 -0300

qt6-datavis3d (6.3.1-3) unstable; urgency=medium

  * Team upload.
  * Rename libqt6datavisualization6-dev to qt6-datavisualization-dev, as it
    ships two libraries.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 25 Aug 2022 17:43:03 -0300

qt6-datavis3d (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:22:33 +0200

qt6-datavis3d (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 14:47:19 +0200

qt6-datavis3d (6.3.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Make libqt6datavisualization6-dev depend on
    libqt6datavisualizationqml6.

 -- Patrick Franz <deltaone@debian.org>  Mon, 20 Jun 2022 23:31:42 +0200

qt6-datavis3d (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.
  * New binary package libqt6datavisualizationqml6.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Jun 2022 01:36:21 +0200

qt6-datavis3d (6.2.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders, only for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Apr 2022 10:22:42 -0300

qt6-datavis3d (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:06:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,26 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
-Build-Depends: cmake (>= 3.18~),
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.2.4+dfsg~),
-               qml6-module-qttest (>= 6.2.4+dfsg~),
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
+               qml6-module-qtquick (>= 6.3.1+dfsg~),
+               qml6-module-qttest (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-datavis3d
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-datavis3d.git
@@ -38,6 +39,17 @@
  This package contains a set of APIs to visualize data in 3D as bar, scatter,
  and surface graphs.
 
+Package: libqt6datavisualizationqml6
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 6 Data Visualization QML library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Qt Data Visualization QML support library.
+
 Package: qml6-module-qtdatavisualization
 Architecture: any
 Multi-Arch: same
@@ -49,11 +61,14 @@
  .
  This package contains the Data Visualization QML module for QtDeclarative.
 
-Package: libqt6datavisualization6-dev
+Package: qt6-datavisualization-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
+Breaks: libqt6datavisualization6-dev (<< 6.3.1-3~)
+Replaces: libqt6datavisualization6-dev (<< 6.3.1-3~)
 Depends: libqt6datavisualization6 (= ${binary:Version}),
+         libqt6datavisualizationqml6 (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 Data Visualization - development files
